org.eclnt.jsfserver.elements

## Class ApplicationErrorInfoDuringSet

- java.lang.Object
- - org.eclnt.jsfserver.elements.ApplicationErrorInfoDuringSet

- All Implemented Interfaces:
    java.io.Serializable

      public class ApplicationErrorInfoDuringSet
      extends java.lang.Object
      implements java.io.Serializable

  Error information that is passed into the error processing that is associated with MethodBindingDelegator.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApplicationErrorInfoDuringSet(java.lang.Throwable exception, java.lang.String valueExpression, java.lang.Object valueToSet)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Throwable` | `getException()` Original exception that was thrown by the application processing.
    `java.lang.String` | `getValueExpression()` Original expression which was set.
    `java.lang.Object` | `getValueToSet()` Value that was planned to be set.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ApplicationErrorInfoDuringSet

          public ApplicationErrorInfoDuringSet(java.lang.Throwable exception,
                                               java.lang.String valueExpression,
                                               java.lang.Object valueToSet)

  - ### Method Detail

    - #### getException

          public java.lang.Throwable getException()

      Original exception that was thrown by the application processing.

    - #### getValueExpression

          public java.lang.String getValueExpression()

      Original expression which was set.

    - #### getValueToSet

          public java.lang.Object getValueToSet()

      Value that was planned to be set.

Copyright © CaptainCasa Gmbh. All Rights Reserved.